コード例 #1
0
        public static void TestDimsionElement()
        {
            BCOM.Application app = Program.COM_App;
            var m   = app.Matrix3dIdentity();
            var dim = app.CreateDimensionElement1(null, ref m, Bentley.Interop.MicroStationDGN.MsdDimType.AngleLocation);
            var p0  = app.Point3dFromXY(100, 100);
            var p1  = app.Point3dFromXY(000, 0);
            var p2  = app.Point3dFromXY(0, 100);

            dim.AddReferencePoint(app.ActiveModelReference, ref p0);
            dim.AddReferencePoint(app.ActiveModelReference, ref p1);
            dim.AddReferencePoint(app.ActiveModelReference, ref p2);
            app.ActiveModelReference.AddElement(dim);
        }